# Files

Files is a repository for static files that are required by your apps. Examples of files typically uploaded are those that rarely change, such as company logos, illustrations, and static documents.

{% hint style="warning" %}
**Important**

Do not upload files with secret or sensitive content to Files.
{% endhint %}

A file uploaded to Files is publicly accessible, although you do need to know the URL to access them.

## Add a new file

There are two ways to upload a file to your solution.

* In Files, click **Upload File**.
* In the UI designer, add or select an Image component. Under the **Image** property, select **Resource File…**. Click **Upload File…**.

{% hint style="info" %}
**Good to know**

Resource Files has a 50 MB size limit per uploaded item.
{% endhint %}

## View and edit files

The table in Files lists all files in your solution, along with some general file information. To reveal file operations and additional details, hover over a file row in the table.

### **Download a file**

Click the download icon to immediately download the file.

### View/edit file details

Click the three-dot menu and select **Edit File details**. In the modal dialog that appears you can:

* Set a **Title**. This is set to the filename by default.
* Set a description. This is for internal reference only.
* See the file's public URL. This is not typically required since you can bind resource files directly in an app, but it's shown for reference.

### Delete a file

Click the three-dot menu and select **Delete**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appfarm.io/reference/resources/files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
